Bug 82626 - Rebaseline media elements tests after r112484
Summary: Rebaseline media elements tests after r112484
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 82124
  Show dependency treegraph
 
Reported: 2012-03-29 10:45 PDT by Enrica Casucci
Modified: 2012-04-24 04:26 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Enrica Casucci 2012-03-29 10:45:31 PDT
The following tests need a new baseline:

media/media-document-audio-repaint.html
media/video-no-audio.html
media/controls-strict.html
media/video-volume-slider.html
media/controls-styling.html
media/video-display-toggle.html
media/audio-repaint.html
media/audio-controls-rendering.html
media/video-zoom-controls.html
media/video-controls-rendering.html
media/controls-without-preload.html
media/media-controls-clone.html
fast/layers/video-layer.html
media/video-empty-source.html
media/video-playing-and-pause.html
media/controls-after-reload.html
Comment 1 Victor Carbune 2012-03-29 14:11:39 PDT
(In reply to comment #0)
> The following tests need a new baseline:
> 
> media/media-document-audio-repaint.html
> media/video-no-audio.html
> media/controls-strict.html
> media/video-volume-slider.html
> media/controls-styling.html
> media/video-display-toggle.html
> media/audio-repaint.html
> media/audio-controls-rendering.html
> media/video-zoom-controls.html
> media/video-controls-rendering.html
> media/controls-without-preload.html
> media/media-controls-clone.html
> fast/layers/video-layer.html
> media/video-empty-source.html
> media/video-playing-and-pause.html
> media/controls-after-reload.html

I will look into this as soon as I get access to a mac build system, but in the meantime I'm wondering why these weren't caught by the Mac EWS bot.
Comment 2 Alexey Proskuryakov 2012-03-30 10:20:57 PDT
The Mac EWS bot only builds, and doesn't run tests currently.

Victor, when do you expect to have an opportunity to work on this?
Comment 3 Victor Carbune 2012-04-01 16:54:27 PDT
(In reply to comment #2)
> The Mac EWS bot only builds, and doesn't run tests currently.
Thanks for clarifying this. Is this true for the rest of the EWS bots well (GTK, Qt?)

> Victor, when do you expect to have an opportunity to work on this?
Right now the change breaking these has been rolled out. I have fixed the patch for the mac build as well and I'm trying to figure out how to properly generate new baselines.
Comment 4 Beth Dakin 2012-04-09 16:10:55 PDT
The patch has been landed again, and the tests are still failing. We need to fix them or roll out the patch again.
Comment 5 Victor Carbune 2012-04-24 04:26:49 PDT
I have submitted the new baselines with the initial patch
http://trac.webkit.org/changeset/114957